package com.bonus.canteen.core.drp.dto;

import com.bonus.canteen.core.common.encrypt.LeNiuDecryptDataProcess;
import com.bonus.canteen.core.common.encrypt.LeNiuDecryptField;
import com.bonus.canteen.core.common.page.PageDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel
@LeNiuDecryptDataProcess
public class DrpWarehousePageDTO extends PageDTO {
   @ApiModelProperty("仓库名称")
   private String warehouseName;
   @ApiModelProperty("负责人姓名")
   @LeNiuDecryptField
   private String realName;
   @ApiModelProperty("状态(1禁用2启用)")
   private Integer status;
   @ApiModelProperty("仓库类别")
   private Long typeId;
   @ApiModelProperty("仓库类型 1原料 2商品")
   private Integer warehouseType;
   @ApiModelProperty("仓库id")
   private List<Long> warehouseIdList;
   @ApiModelProperty("区域id集合")
   private List<Long> areaIdList;
   @ApiModelProperty("父级ID")
   private Long parentId;
   @ApiModelProperty("食堂ID")
   private Long canteenId;

   public String getWarehouseName() {
      return this.warehouseName;
   }

   public String getRealName() {
      return this.realName;
   }

   public Integer getStatus() {
      return this.status;
   }

   public Long getTypeId() {
      return this.typeId;
   }

   public Integer getWarehouseType() {
      return this.warehouseType;
   }

   public List<Long> getWarehouseIdList() {
      return this.warehouseIdList;
   }

   public List<Long> getAreaIdList() {
      return this.areaIdList;
   }

   public Long getParentId() {
      return this.parentId;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public void setWarehouseName(final String warehouseName) {
      this.warehouseName = warehouseName;
   }

   public void setRealName(final String realName) {
      this.realName = realName;
   }

   public void setStatus(final Integer status) {
      this.status = status;
   }

   public void setTypeId(final Long typeId) {
      this.typeId = typeId;
   }

   public void setWarehouseType(final Integer warehouseType) {
      this.warehouseType = warehouseType;
   }

   public void setWarehouseIdList(final List<Long> warehouseIdList) {
      this.warehouseIdList = warehouseIdList;
   }

   public void setAreaIdList(final List<Long> areaIdList) {
      this.areaIdList = areaIdList;
   }

   public void setParentId(final Long parentId) {
      this.parentId = parentId;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }
}
